javax.faces.webapp

## Class UIComponentTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentTag

- All Implemented Interfaces:
    BodyTag, IterationTag, JspIdConsumer, JspTag, Tag
  Direct Known Subclasses:
    UIComponentBodyTag

  Deprecated.
  Use of this class has been replaced with `UIComponentELTag`, which extends `UIComponentClassicTagBase` to add properties that use the EL API introduced as part of JSP 2.1.

      public abstract class UIComponentTag
      extends UIComponentClassicTagBase
      implements Tag

  `UIComponentTag` is the base class for all JSP custom actions that correspond to user interface components in a page that is rendered by JavaServer Faces.

  In this version of the specification, `UIComponentTag` extends `UIComponentClassicTagBase` to add properties that use the Faces 1.1 Expression Language.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIComponentTag()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UIComponent` | `createComponent(FacesContext context, String newId)` Deprecated. Implement `createComponent` using Faces 1.1 EL API.
    `static UIComponentTag` | `getParentUIComponentTag(PageContext context)` Deprecated. Locate and return the nearest enclosing `UIComponentTag` if any; otherwise, return `null`.
    `protected boolean` | `hasBinding()` Deprecated. Return `true` if this component has a non-`null` binding attribute.
    `protected boolean` | `isSuppressed()` Deprecated.
    `static boolean` | `isValueReference(String value)` Deprecated. Return `true` if the specified value conforms to the syntax requirements of a value binding expression.
    `void` | `release()` Deprecated. Release any resources allocated during the execution of this tag handler.
    `void` | `setBinding(String binding)` Deprecated. Set the value binding expression for our component.
    `protected void` | `setProperties(UIComponent component)` Deprecated. Override properties and attributes of the specified component, if the corresponding properties of this tag handler instance were explicitly set.
    `void` | `setRendered(String rendered)` Deprecated. Set an override for the rendered attribute.

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class javax.faces.webapp.UIComponentTagBase

      `getComponentType, getELContext, getRendererType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### UIComponentTag

          public UIComponentTag()

      Deprecated.

  - ### Method Detail

    - #### setBinding

          public void setBinding(String binding)
                          throws JspException

      Deprecated.

      Set the value binding expression for our component.

      Parameters:
        `binding` - The new value binding expression
      Throws:
        `IllegalArgumentException` - if the specified binding is not a valid value binding expression.
        `JspException`

    - #### hasBinding

          protected boolean hasBinding()

      Deprecated.
      Description copied from class: `UIComponentClassicTagBase`

      Return `true` if this component has a non-`null` binding attribute. This method is necessary to allow subclasses that expose the `binding` property as an Faces 1.1 style EL property as well as subclasses that expose it as an EL API property.

      Specified by:
        `hasBinding` in class `UIComponentClassicTagBase`

    - #### setRendered

          public void setRendered(String rendered)

      Deprecated.

      Set an override for the rendered attribute.

      Parameters:
        `rendered` - The new value for rendered attribute

    - #### isSuppressed

          protected boolean isSuppressed()

      Deprecated.

    - #### isValueReference

          public static boolean isValueReference(String value)

      Deprecated.

      Return `true` if the specified value conforms to the syntax requirements of a value binding expression. Such expressions ` * may be used on most component tag attributes to signal a desire for deferred evaluation of the attribute or property value to be set on the underlying `UIComponent`.

      Parameters:
        `value` - The value to evaluate
      Throws:
        `NullPointerException` - if `value` is `null`

    - #### release

          public void release()

      Deprecated.

      Release any resources allocated during the execution of this tag handler.

      Specified by:
        `release` in interface `Tag`
      Overrides:
        `release` in class `UIComponentClassicTagBase`

    - #### setProperties

          protected void setProperties(UIComponent component)

      Deprecated.
      Description copied from class: `UIComponentClassicTagBase`

      Override properties and attributes of the specified component, if the corresponding properties of this tag handler instance were explicitly set. This method must be called ONLY if the specified `UIComponent` was in fact created during the execution of this tag handler instance, and this call will occur BEFORE the `UIComponent` is added to the view.

      Tag subclasses that want to support additional set properties must ensure that the base class `setProperties()` method is still called. A typical implementation that supports extra properties `foo` and `bar` would look something like this:

           protected void setProperties(UIComponent component) {
             super.setProperties(component);
             if (foo != null) {
               component.setAttribute("foo", foo);
             }
             if (bar != null) {
               component.setAttribute("bar", bar);
             }
           }

      The default implementation overrides the following properties:

      - `rendered` - Set if a value for the `rendered` property is specified for this tag handler instance.
      - `rendererType` - Set if the `getRendererType()` method returns a non-null value.
      Specified by:
        `setProperties` in class `UIComponentClassicTagBase`
      Parameters:
        `component` - `UIComponent` whose properties are to be overridden

    - #### createComponent

          protected UIComponent createComponent(FacesContext context,
                                    String newId)

      Deprecated.

      Implement `createComponent` using Faces 1.1 EL API.

      Specified by:
        `createComponent` in class `UIComponentClassicTagBase`
      Parameters:
        `context` - `FacesContext` for the current request
        `newId` - id of the component

    - #### getParentUIComponentTag

          public static UIComponentTag getParentUIComponentTag(PageContext context)

      Deprecated.

      Locate and return the nearest enclosing `UIComponentTag` if any; otherwise, return `null`.

      Parameters:
        `context` - `PageContext` for the current page

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.